Upstream information

CVE-2015-9262 at MITRE

Description

_XcursorThemeInherits in library.c in libXcursor before 1.1.15 allows remote attackers to cause denial of service or potentially code execution via a one-byte heap overflow.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 4.4
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:L/A:L
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entries: 1103511 [RESOLVED / FIXED], 1123801 [RESOLVED / FIXED], 1159415 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES12-SP4-SAP-Azure
Image SLES12-SP4-SAP-Azure-BYOS
Image SLES12-SP4-SAP-Azure-LI-BYOS-Production
Image SLES12-SP4-SAP-Azure-VLI-BYOS-Production
Image SLES12-SP4-SAP-EC2-HVM
Image SLES12-SP4-SAP-EC2-HVM-BYOS
Image SLES12-SP4-SAP-GCE
Image SLES12-SP4-SAP-GCE-BYOS
Image SLES12-SP4-SAP-OCI-BYOS
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-Azure-SAP-On-Demand
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-EC2-SAP-On-Demand
Image SLES12-SP5-GCE-SAP-BYOS
Image SLES12-SP5-GCE-SAP-On-Demand
Image SLES12-SP5-OCI-BYOS-SAP-BYOS
Image SLES12-SP5-SAP-Azure-LI-BYOS-Production
Image SLES12-SP5-SAP-Azure-VLI-BYOS-Production
  • libXcursor1 >= 1.1.14-4.6.1
SUSE Linux Enterprise Desktop 11 SP4
SUSE Linux Enterprise Software Development Kit 11 SP4
  • xorg-x11-devel >= 7.4-8.26.50.8.1
  • xorg-x11-devel-32bit >= 7.4-8.26.50.8.1
Patchnames:
sdksp4-xorg-x11-libs-13782
SUSE Linux Enterprise Desktop 12 SP3
  • libXcursor-devel >= 1.1.14-4.6.1
  • libXcursor1 >= 1.1.14-4.6.1
  • libXcursor1-32bit >= 1.1.14-4.6.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1986
SUSE-SLE-SDK-12-SP3-2018-1986
SUSE Linux Enterprise Desktop 12 SP4
  • libXcursor-devel >= 1.1.14-4.6.1
  • libXcursor1 >= 1.1.14-4.6.1
  • libXcursor1-32bit >= 1.1.14-4.6.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA libXcursor1-1.1.14-4.6.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libXcursor-devel-1.1.14-4.6.1
SUSE Linux Enterprise High Performance Computing 12 SP5
  • libXcursor1 >= 1.1.14-4.6.1
  • libXcursor1-32bit >= 1.1.14-4.6.1
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA libXcursor1-1.1.14-4.6.1
SUSE Linux Enterprise Server 11 SP4
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • xorg-x11-devel >= 7.4-8.26.50.8.1
  • xorg-x11-devel-32bit >= 7.4-8.26.50.8.1
  • xorg-x11-libs >= 7.4-8.26.50.8.1
  • xorg-x11-libs-32bit >= 7.4-8.26.50.8.1
  • xorg-x11-libs-x86 >= 7.4-8.26.50.8.1
Patchnames:
sdksp4-xorg-x11-libs-13782
slessp4-xorg-x11-libs-13782
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libXcursor-devel >= 1.1.14-4.6.1
  • libXcursor1 >= 1.1.14-4.6.1
  • libXcursor1-32bit >= 1.1.14-4.6.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1986
SUSE-SLE-SERVER-12-SP3-2018-1986
SUSE Linux Enterprise Server 12 SP4
  • libXcursor-devel >= 1.1.14-4.6.1
  • libXcursor1 >= 1.1.14-4.6.1
  • libXcursor1-32bit >= 1.1.14-4.6.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA libXcursor1-1.1.14-4.6.1
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libXcursor-devel-1.1.14-4.6.1
SUSE Linux Enterprise Server 12 SP5
  • libXcursor-devel >= 1.1.14-4.6.1
  • libXcursor1 >= 1.1.14-4.6.1
  • libXcursor1-32bit >= 1.1.14-4.6.1
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA libXcursor1-1.1.14-4.6.1
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libXcursor-devel-1.1.14-4.6.1
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libXcursor-devel >= 1.1.14-4.6.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP4 GA libXcursor-devel-1.1.14-4.6.1
SUSE Linux Enterprise Server for SAP Applications 12 SP5
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libXcursor-devel >= 1.1.14-4.6.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP5 GA libXcursor-devel-1.1.14-4.6.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libXcursor-devel >= 1.1.14-4.6.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1986


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 libXcursor Released
HPE Helion OpenStack 8 xorg-x11-libs Not affected
SUSE CaaS Platform 4.0 libXcursor Already fixed
SUSE CaaS Platform 4.0 xorg-x11-libs Not affected
SUSE Enterprise Storage 5 libXcursor Released
SUSE Enterprise Storage 6 libXcursor Already fixed
SUSE Enterprise Storage 6 xorg-x11-libs Not affected
SUSE Enterprise Storage 7 libXcursor Already fixed
SUSE Enterprise Storage 7 xorg-x11-libs Not affected
SUSE Enterprise Storage 7.1 libXcursor Already fixed
SUSE Enterprise Storage 7.1 xorg-x11-libs Not affected
SUSE Linux Enterprise Desktop 11 SP4 xorg-x11-libs Released
SUSE Linux Enterprise Desktop 12 libXcursor Affected
SUSE Linux Enterprise Desktop 12 xorg-x11-libs Not affected
SUSE Linux Enterprise Desktop 12 SP1 libXcursor Affected
SUSE Linux Enterprise Desktop 12 SP1 xorg-x11-libs Not affected
SUSE Linux Enterprise Desktop 12 SP2 libXcursor Affected
SUSE Linux Enterprise Desktop 12 SP2 xorg-x11-libs Not affected
SUSE Linux Enterprise Desktop 12 SP3 libXcursor Released
SUSE Linux Enterprise Desktop 12 SP3 xorg-x11-libs Not affected
SUSE Linux Enterprise Desktop 12 SP4 libXcursor Affected
SUSE Linux Enterprise Desktop 12 SP4 xorg-x11-libs Not affected
SUSE Linux Enterprise Desktop 15 libXcursor Not affected
SUSE Linux Enterprise Desktop 15 xorg-x11-libs Not affected
SUSE Linux Enterprise Desktop 15 SP1 libXcursor Already fixed
SUSE Linux Enterprise Desktop 15 SP1 xorg-x11-libs Not affected
SUSE Linux Enterprise Desktop 15 SP2 libXcursor Already fixed
SUSE Linux Enterprise Desktop 15 SP2 xorg-x11-libs Not affected
SUSE Linux Enterprise Desktop 15 SP3 libXcursor Already fixed
SUSE Linux Enterprise Desktop 15 SP3 xorg-x11-libs Not affected
SUSE Linux Enterprise Desktop 15 SP4 libXcursor Already fixed
SUSE Linux Enterprise Desktop 15 SP4 xorg-x11-libs Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 libXcursor Released
SUSE Linux Enterprise High Performance Computing 15 libXcursor Not affected
SUSE Linux Enterprise High Performance Computing 15 xorg-x11-libs Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 libXcursor Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 xorg-x11-libs Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libXcursor Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS xorg-x11-libs Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libXcursor Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS xorg-x11-libs Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 libXcursor Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 xorg-x11-libs Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libXcursor Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS xorg-x11-libs Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libXcursor Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS xorg-x11-libs Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 libXcursor Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 xorg-x11-libs Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 libXcursor Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4 xorg-x11-libs Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS libXcursor Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS xorg-x11-libs Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS libXcursor Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS xorg-x11-libs Not affected
SUSE Linux Enterprise Micro 5.2 libXcursor Already fixed
SUSE Linux Enterprise Micro 5.3 libXcursor Already fixed
SUSE Linux Enterprise Module for Basesystem 15 libXcursor Not affected
SUSE Linux Enterprise Module for Basesystem 15 xorg-x11-libs Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 libXcursor Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP1 xorg-x11-libs Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 libXcursor Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 xorg-x11-libs Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 libXcursor Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP3 xorg-x11-libs Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 libXcursor Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP4 xorg-x11-libs Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 libXcursor Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 libXcursor Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 libXcursor Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 libXcursor Already fixed
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 libXcursor Already fixed
SUSE Linux Enterprise Point of Service 11 SP3 xorg-x11-libs Released
SUSE Linux Enterprise Point of Service Image Server 12 SP2 libXcursor Released
SUSE Linux Enterprise Real Time 15 SP2 libXcursor Already fixed
SUSE Linux Enterprise Real Time 15 SP2 xorg-x11-libs Not affected
SUSE Linux Enterprise Real Time 15 SP3 libXcursor Already fixed
SUSE Linux Enterprise Real Time 15 SP3 xorg-x11-libs Not affected
SUSE Linux Enterprise Server 11 SP3 xorg-x11-libs Affected
SUSE Linux Enterprise Server 11 SP3 LTSS xorg-x11-libs Affected
SUSE Linux Enterprise Server 11 SP3-LTSS xorg-x11-libs Affected
SUSE Linux Enterprise Server 11 SP4 xorg-x11-libs Released
SUSE Linux Enterprise Server 11 SP4 LTSS xorg-x11-libs Released
SUSE Linux Enterprise Server 11 SP4-LTSS xorg-x11-libs Released
SUSE Linux Enterprise Server 12 libXcursor Affected
SUSE Linux Enterprise Server 12 xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP1 libXcursor Affected
SUSE Linux Enterprise Server 12 SP1 xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS libXcursor Affected
SUSE Linux Enterprise Server 12 SP1-LTSS xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP2 libXcursor Affected
SUSE Linux Enterprise Server 12 SP2 xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP2-BCL libXcursor Released
SUSE Linux Enterprise Server 12 SP2-BCL xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS libXcursor Released
SUSE Linux Enterprise Server 12 SP2-ESPOS xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS libXcursor Released
SUSE Linux Enterprise Server 12 SP2-LTSS xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP3 libXcursor Released
SUSE Linux Enterprise Server 12 SP3 xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP3-BCL libXcursor Released
SUSE Linux Enterprise Server 12 SP3-BCL xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS libXcursor Released
SUSE Linux Enterprise Server 12 SP3-ESPOS xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS libXcursor Released
SUSE Linux Enterprise Server 12 SP3-LTSS xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP4 libXcursor Affected
SUSE Linux Enterprise Server 12 SP4 xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS libXcursor Released
SUSE Linux Enterprise Server 12 SP4-ESPOS xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS libXcursor Released
SUSE Linux Enterprise Server 12 SP4-LTSS xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12 SP5 libXcursor Released
SUSE Linux Enterprise Server 12 SP5 xorg-x11-libs Not affected
SUSE Linux Enterprise Server 12-LTSS libXcursor Affected
SUSE Linux Enterprise Server 12-LTSS xorg-x11-libs Not affected
SUSE Linux Enterprise Server 15 libXcursor Not affected
SUSE Linux Enterprise Server 15 xorg-x11-libs Not affected
SUSE Linux Enterprise Server 15 SP1 libXcursor Already fixed
SUSE Linux Enterprise Server 15 SP1 xorg-x11-libs Not affected
SUSE Linux Enterprise Server 15 SP1-BCL libXcursor Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL xorg-x11-libs Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS libXcursor Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS xorg-x11-libs Not affected
SUSE Linux Enterprise Server 15 SP2 libXcursor Already fixed
SUSE Linux Enterprise Server 15 SP2 xorg-x11-libs Not affected
SUSE Linux Enterprise Server 15 SP2-BCL libXcursor Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL xorg-x11-libs Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS libXcursor Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS xorg-x11-libs Not affected
SUSE Linux Enterprise Server 15 SP3 libXcursor Already fixed
SUSE Linux Enterprise Server 15 SP3 xorg-x11-libs Not affected
SUSE Linux Enterprise Server 15 SP4 libXcursor Already fixed
SUSE Linux Enterprise Server 15 SP4 xorg-x11-libs Not affected
SUSE Linux Enterprise Server 15-LTSS libXcursor Already fixed
SUSE Linux Enterprise Server 15-LTSS xorg-x11-libs Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libXcursor Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 xorg-x11-libs Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 xorg-x11-libs Released
SUSE Linux Enterprise Server for SAP Applications 12 libXcursor Affected
SUSE Linux Enterprise Server for SAP Applications 12 xorg-x11-libs Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libXcursor Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 xorg-x11-libs Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libXcursor Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 xorg-x11-libs Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libXcursor Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 xorg-x11-libs Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libXcursor Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 xorg-x11-libs Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libXcursor Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 xorg-x11-libs Not affected
SUSE Linux Enterprise Server for SAP Applications 15 libXcursor Not affected
SUSE Linux Enterprise Server for SAP Applications 15 xorg-x11-libs Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libXcursor Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 xorg-x11-libs Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libXcursor Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 xorg-x11-libs Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libXcursor Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 xorg-x11-libs Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libXcursor Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP4 xorg-x11-libs Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 xorg-x11-libs Released
SUSE Linux Enterprise Software Development Kit 12 libXcursor Affected
SUSE Linux Enterprise Software Development Kit 12 xorg-x11-libs Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 libXcursor Affected
SUSE Linux Enterprise Software Development Kit 12 SP1 xorg-x11-libs Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libXcursor Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 xorg-x11-libs Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libXcursor Released
SUSE Linux Enterprise Software Development Kit 12 SP3 xorg-x11-libs Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libXcursor Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 xorg-x11-libs Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 libXcursor Released
SUSE Linux Enterprise Software Development Kit 12 SP5 xorg-x11-libs Not affected
SUSE Manager Proxy 4.0 libXcursor Already fixed
SUSE Manager Proxy 4.0 xorg-x11-libs Not affected
SUSE Manager Proxy 4.1 libXcursor Already fixed
SUSE Manager Proxy 4.1 xorg-x11-libs Not affected
SUSE Manager Proxy 4.2 libXcursor Already fixed
SUSE Manager Proxy 4.2 xorg-x11-libs Not affected
SUSE Manager Proxy 4.3 libXcursor Already fixed
SUSE Manager Proxy 4.3 xorg-x11-libs Not affected
SUSE Manager Retail Branch Server 4.0 libXcursor Already fixed
SUSE Manager Retail Branch Server 4.0 xorg-x11-libs Not affected
SUSE Manager Retail Branch Server 4.1 libXcursor Already fixed
SUSE Manager Retail Branch Server 4.1 xorg-x11-libs Not affected
SUSE Manager Retail Branch Server 4.2 libXcursor Already fixed
SUSE Manager Retail Branch Server 4.2 xorg-x11-libs Not affected
SUSE Manager Retail Branch Server 4.3 libXcursor Already fixed
SUSE Manager Retail Branch Server 4.3 xorg-x11-libs Not affected
SUSE Manager Server 4.0 libXcursor Already fixed
SUSE Manager Server 4.0 xorg-x11-libs Not affected
SUSE Manager Server 4.1 libXcursor Already fixed
SUSE Manager Server 4.1 xorg-x11-libs Not affected
SUSE Manager Server 4.2 libXcursor Already fixed
SUSE Manager Server 4.2 xorg-x11-libs Not affected
SUSE Manager Server 4.3 libXcursor Already fixed
SUSE Manager Server 4.3 xorg-x11-libs Not affected
SUSE OpenStack Cloud 7 libXcursor Released
SUSE OpenStack Cloud 7 xorg-x11-libs Not affected
SUSE OpenStack Cloud 8 libXcursor Released
SUSE OpenStack Cloud 8 xorg-x11-libs Not affected
SUSE OpenStack Cloud 9 libXcursor Released
SUSE OpenStack Cloud 9 xorg-x11-libs Not affected
SUSE OpenStack Cloud Crowbar 8 libXcursor Released
SUSE OpenStack Cloud Crowbar 8 xorg-x11-libs Not affected
SUSE OpenStack Cloud Crowbar 9 libXcursor Released
SUSE OpenStack Cloud Crowbar 9 xorg-x11-libs Not affected


SUSE Timeline for this CVE

CVE page created: Thu Aug 2 04:15:13 2018
CVE page last modified: Wed Dec 7 16:01:08 2022